Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.adapter.defaultprovider
Class AbstractJMSAdapter

    java.lang.Object
      |
      +--com.bea.wlrt.ede.impl.AbstractEventSource
            |
            +--com.bea.wlrt.ede.impl.AbstractStage
                  |
                  +--com.bea.wlrt.ede.impl.AbstractAdapter
                        |
                        +--com.bea.wlrt.adapter.defaultprovider.AbstractJMSAdapter

public abstract class AbstractJMSAdapter
extends AbstractAdapter
implements JMSAdapter

This class is for an inbound JMS adapter

Field Summary
`protected MessageConverter` | `converter`
`protected String` | `eventType`

Constructor Summary
`AbstractJMSAdapter(String id, String applicationId)`

Method Summary
`String` | `getEventType()`
`abstract EventTypeRepository` | `getEventTypeRepository()`
`MessageConverter` | `getMessageConverter()`
`void` | `onMessage(Message message)` Message handler of the async bean

Methods inherited from class com.bea.wlrt.ede.impl.AbstractAdapter
`getWorkManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### converter

    protected MessageConverter converter

### eventType

    protected String eventType

Constructor Detail

### AbstractJMSAdapter

    public AbstractJMSAdapter(String id,
                              String applicationId)

Method Detail

### getEventTypeRepository

    public abstract EventTypeRepository getEventTypeRepository()

### getMessageConverter

    public MessageConverter getMessageConverter()

  Specified by:
    getMessageConverter in interface JMSAdapter

### onMessage

    public void onMessage(Message message)

  Message handler of the async bean

  Parameters:
    `message` -

### getEventType

    public String getEventType()

  Specified by:
    getEventType in interface JMSAdapter

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD